package domain

type AlibabaHmMarketingItembuygiftQueryitemsData struct {
	/*
	   通用限购信息，-1为不限制，默认为不限制     */
	LimitInfo *AlibabaHmMarketingItembuygiftQueryitemsLimitInfo `json:"limit_info,omitempty" `

	/*
	   赠品的名称     */
	GiftSkuName *string `json:"gift_sku_name,omitempty" `

	/*
	   赠品的skuCode，如果和主商品的skuCode相同，则为买A赠A；如果不同，则为买A赠B     */
	GiftSkuCode *string `json:"gift_sku_code,omitempty" `

	/*
	   买N赠1的N     */
	BuyNum *int64 `json:"buy_num,omitempty" `

	/*
	   淘宝item和shop的对应关系， k-itemId, v-shopId     */
	ItemShopRelation *string `json:"item_shop_relation,omitempty" `

	/*
	   主商品名称     */
	SkuName *string `json:"sku_name,omitempty" `

	/*
	   主商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetLimitInfo(v AlibabaHmMarketingItembuygiftQueryitemsLimitInfo) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetGiftSkuName(v string) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.GiftSkuName = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetGiftSkuCode(v string) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.GiftSkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetBuyNum(v int64) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.BuyNum = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetItemShopRelation(v string) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.ItemShopRelation = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetSkuName(v string) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.SkuName = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryitemsData) SetSkuCode(v string) *AlibabaHmMarketingItembuygiftQueryitemsData {
	s.SkuCode = &v
	return s
}
